# Messages

## List

> Retrieve Schedule Message(s).

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Messages":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"List","description":"Retrieve Schedule Message(s).","operationId":"2e7fef81-ede8-4c72-90ef-dc9997d2d19c","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting for which to retrieve the messages.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ScheduleMessage"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Create

> Create a Schedule Message.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Messages":{"post":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Create","description":"Create a Schedule Message.","operationId":"1887901f-2fb0-4e72-80b9-0c09fd83c617","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting for which to create the message.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Message settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddScheduleMessage"}}}},"responses":{"201":{"description":"Created","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ScheduleMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddScheduleMessage":{"required":["message","messageTitle"],"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether to enable or disable the message.</para>"},"messageTitle":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The title of the message.</para>","nullable":true},"message":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A message that should be sent to users before the job starts.</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Time interval in seconds before the job starts when the message to users should be sent.</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Get

> Retrieve a Schedule Message.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Messages/{messageId}":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Get","description":"Retrieve a Schedule Message.","operationId":"6b0459c8-1a5a-45e5-ba52-826251b35148","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting for which to retrieve the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to retrieve.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ScheduleMessage"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ScheduleMessage":{"type":"object","properties":{"id":{"type":"integer","description":"<para type=\"description\">ID of the object.</para>","format":"int32"},"enabled":{"type":"boolean","description":"<para type=\"description\">Enabled</para>"},"messageTitle":{"type":"string","description":"<para type=\"description\">Message title</para>","nullable":true},"message":{"type":"string","description":"<para type=\"description\">Message</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Seconds before message is sent</para>","format":"int32"},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Schedule Message</para>\r\n<para type=\"description\"></para>"},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update a Schedule Message.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Messages/{messageId}":{"put":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Update","description":"Update a Schedule Message.","operationId":"ac851291-01e7-43f1-b47d-b1d80de701e5","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting for which to modify the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to modify.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Message settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetScheduleMessage"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetScheduleMessage":{"type":"object","properties":{"enabled":{"type":"boolean","description":"<para type=\"description\">Whether to enable or disable the message.</para>","nullable":true},"messageTitle":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The title of the message.</para>","nullable":true},"message":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">A message that should be sent to users before the job starts.</para>","nullable":true},"sendMsgSecs":{"type":"integer","description":"<para type=\"description\">Time interval in seconds before the job starts when the message to users should be sent.</para>","format":"int32","nullable":true},"sendMsgWhen":{"$ref":"#/components/schemas/SendMsgWhen"}},"additionalProperties":false},"SendMsgWhen":{"enum":[["0 = Before","1 = After"]],"type":"string","description":"<para type=\"synopsis\">Whether the message is sent Before/After the schedule is triggered. Send Message When can only be set to After in the case of Reboot.</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Delete a Schedule Message by ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/Schedule/{id}/Messages/{messageId}":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//Schedule"],"summary":"Delete","description":"Delete a Schedule Message by ID.","operationId":"8975817b-f473-4b36-ac28-055841509c52","parameters":[{"name":"id","in":"path","description":"The ID of the Schedule setting for which to remove the message.","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"messageId","in":"path","description":"The ID of the message to remove.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/schedule/messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
